Package: org.codehaus.groovy.control.messages

## [Java] Class ExceptionMessage

- org.codehaus.groovy.control.messages.ExceptionMessage

-     public class ExceptionMessage
      extends Message

  A class for error messages produced by the parser system.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `debug` | Indicates whether debug output is enabled for this message.
    `protected ProcessingUnit` | `owner` | Processing unit that reported the exception.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExceptionMessage(Exception cause, boolean debug, ProcessingUnit owner)` Creates an exception-backed compilation message.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Exception` | `getCause()` Returns the underlying Exception.
    `` | `public Diagnostic` | `toDiagnostic()` The exception summary without its stack trace, which only the full rendering includes.
    `` | `public void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Message` | `create, create, create, toDiagnostic, write, write`

- - ### Field Detail

    - #### protected final boolean debug

      Indicates whether debug output is enabled for this message.

    - #### protected final ProcessingUnit owner

      Processing unit that reported the exception.

  - ### Constructor Detail

    - #### public ExceptionMessage(Exception cause, boolean debug, ProcessingUnit owner)

      Creates an exception-backed compilation message.

      Parameters:
        `cause` - the underlying exception
        `debug` - whether debug output is enabled
        `owner` - the owning processing unit

  - ### Method Detail

    - #### public Exception getCause()

      Returns the underlying Exception.

    - #### public Diagnostic toDiagnostic()

      The exception summary without its stack trace, which only the full rendering includes.

    - #### public void write(PrintWriter output, Janitor janitor)

      Writes out a nicely formatted summary of the exception.